Subject: Re: bug#18342: 24.3.93; jumping to compilation error location gives the wrong column

From: Stefan Monnier <[email-masked]>
Date: Thu, 28 Aug 2014 09:22:20 -0400

> When stepping through compilation errors `C-x `' jumps to a code
> location with correct line, but incorrect column: it actually jumps to a
> column previous to the right one.  Checked with emacs -Q and Java files
> compilation.

> Emacs is built from current emacs-24 bzr branch.

There are columns and columns.  So most likely the problem is that Emacs
doesn't know which columns the Java compiler uses.

Are these columns 0-based or 1-based?  Do they count characters, bytes,
or width?  (e.g. what does TAB count as? what about non-ASCII chars in
utf-8?)

These can partly be supported via compilation-first-column and
compilation-error-screen-columns (tho Emacs has no support for counting
columns in bytes).  Arguably, rather than variables, these settings
should be part of the compilation-error-regexp-alist entries since it
depends on the compiler in use.

        Stefan